Subject: Split view
Description

I don't know whether this is "by design" or a bug:

Is it really not possible anymore to view the workspace version and the live version of a page together? for me it's just possible to see
the top area of the workspace version and the bottom area of the live version but I want to see the same area from both pages.

Related issues:
related to TYPO3 CMS Usability Team - Bug # 11540: Split View / Workspaces pr... Closed 2010-12-17
related to Core - Bug # 12077: Tooltips for slider Resolved 2011-01-10
related to Core - Bug # 44745: Slider split preview uses only part of the ava... New 2013-01-23
related to Core - Bug # 24469: Adminpanel throws an JS-error : Typo3AdminPane... Closed 2011-01-04

Associated revisions
Revision 72319599 - 2011-01-21 10:27 - Tolleiv Nietsch

Fixed bug #11539: Split view

git-svn-id: https://svn.typo3.org/TYPO3v4/CoreProjects/workspaces/workspaces/trunk@3909 743128fe-103e-dd11-99c4-001b210b3e58

History
#1 - 2010-12-17 10:36 - Tolleiv Nietsch
- Status changed from New to Accepted

Agreed - maybe we should have a fallback - not sure we're able to include it in 4.5

#2 - 2010-12-17 11:26 - Susanne Moog

HCI issue: http://forge.typo3.org/issues/11540

#3 - 2010-12-20 19:29 - Sonja Schubert
- Target version set to 4.5 RC1

#4 - 2010-12-22 19:29 - Tolleiv Nietsch
- File 11539.patch added
11539.patch is a work-in-progress patch but shows that it's possible ;)

#5 - 2010-12-30 16:08 - Francois Suter
- File comparison_view_ff36_mac.png added

I don't know if it's the right place to report this, but the new comparison view does not occupy the full viewport on Firefox 3.6 for Mac. See attached
screenshot. Refreshing or resizing the window does not change anything.

#6 - 2011-01-03 15:06 - Tolleiv Nietsch

Thanks for bringing that up - yes, that happens on all platforms if there's an JS-Error within the Preview-IFrames (and the callback doesn't work)...

#7 - 2011-01-12 22:26 - Tolleiv Nietsch
- File 11539-wsPreviewHeightFix.patch added

an additional patch to have crossbrowser compatible height-fix for the iframe is attached - this might be needed for review purposes of this issue but
will be part of a different issue once we're sure that future splitview and this patch work well together

#8 - 2011-01-13 12:19 - Ernesto Baschny

Hi Tolleiv and team. The attached patch (11539-wsPreviewHeightFix.patch) seems to solve the issue with the limited height we have been experienced
(Francois, can you confirm?). The height is now the whole content, as expected.

Thanks!

#9 - 2011-01-13 14:33 - Björn Pedersen

The patch is working here ( FF3.6/Linux)

#10 - 2011-01-13 16:11 - Ernesto Baschny

The issue was also reported on http://bugs.typo3.org/view.php?id=17009

#11 - 2011-01-16 10:43 - Tolleiv Nietsch
- File 11539v2.patch added

v2 improves the split view, the mode switcher is a proper toolbar/menu now. Only problem - due to an ExtJS foo which stole me already more than
20hrs of work without resolution the layout construction of the "slider" panels breaks and therefore the panels aren't resized to full size as expected.
Steffen promised to have an ExtJS expert available for that.

11539-wsPreviewHeightFix.patch is still valid
#12 - 2011-01-16 10:44 - Tolleiv Nietsch
- Assigned To set to Steffen Kamper

#13 - 2011-01-20 15:19 - Tolleiv Nietsch
- File 11539v3.patch added

v3 is pretty close to what we want and at least works in Chrome and Firefox. In Safari and Opera the Toolbar-Icon is missing and IE ... well IE ;)

#14 - 2011-01-20 15:20 - Tolleiv Nietsch
- File example.PNG added

example.PNG <- that's what you should get.

#15 - 2011-01-20 15:59 - Marco Bresch
- File 11539v4.patch added

correct path of v3-patch

#16 - 2011-01-20 22:07 - Susanne Moog

Just tested the patches. In general +1, I've got one small issue when I switch frequently between horizontal and vertical orientation I sometimes get a
blank screen until I change the window height in Chrome and in Firefox (but that could again be just me ;))

#17 - 2011-01-21 10:28 - Tolleiv Nietsch
- Status changed from Accepted to Resolved

As discussed in Skype committed v4 to trunk (rev. 3909) just to have something is RC1

#18 - 2011-01-22 12:53 - Tolleiv Nietsch
- File 11539-tooltipstyles.patch added

Followup committed to trunk (rev. 3940)

#19 - 2011-01-22 13:05 - Tolleiv Nietsch
- File 11539-initsizecalc.patch added

Followup committed to trunk (rev. 3941)

#20 - 2013-12-10 01:07 - Michael Stucki
- Category set to Workspaces
#21 - 2013-12-10 01:09 - Michael Stucki
- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces
- Target version deleted (4.5 RC1)

Files
11539.patch 3 kB 2010-12-22 Tolleiv Nietsch
comparison_view_ff36_mac.png 162.9 kB 2010-12-30 Francois Suter
11539-wsPreviewHeightFix.patch 2.4 kB 2011-01-12 Tolleiv Nietsch
11539v2.patch 8.6 kB 2011-01-16 Tolleiv Nietsch
11539v3.patch 13.9 kB 2011-01-20 Tolleiv Nietsch
example.PNG 10.1 kB 2011-01-20 Tolleiv Nietsch
11539v4.patch 13.7 kB 2011-01-20 Marco Bresch
11539-tooltipstyles.patch 554 Bytes 2011-01-22 Tolleiv Nietsch
11539-initsizecalc.patch 788 Bytes 2011-01-22 Tolleiv Nietsch
